`timescale 1 ns / 1 ps

module tb;

  reg  clk1;
  reg  clk2;
  reg  reset1;
  reg  reset2;
  wire [31:0] out1;
  wire [31:0] out2;

  initial begin
    if ($test$plusargs("VCD")) begin
        $dumpfile("dump.vcd");
        $dumpvars(0);
        $dumpon;
    end
  end

  initial begin
      $monitor("t=%3d out1=%h out2=%h", $time,out1,out2);
  end

  twocounter counter0 (
      .clk1(clk1),
      .clk2(clk2),
      .reset1(reset1),
      .reset2(reset2),
      .out1(out1),
      .out2(out2)
  );

  initial
    begin
        clk1 = 1'b0;
        clk2 = 1'b0;
        reset1 = 1'b1;
        reset2 = 1'b1;
        #35 reset1 = 1'b0;
        #5 reset2 = 1'b0; 
        #500 $finish;
    end

  always begin
      #7 clk1 = ~clk1;
      #8 clk2 = ~clk2;
  end

endmodule
